package com.gxzc.zen.rpc.util

import com.alibaba.dubbo.config.spring.ReferenceBean
import org.slf4j.LoggerFactory

/**
 *
 * @author NorthLan
 * @date 2018/6/22
 * @url https://noahlan.com
 */
object RpcUtil {
    private val logger = LoggerFactory.getLogger(RpcUtil::class.java)

    fun <T> getReference(interfaceClass: Class<T>, version: String): T? {
        return try {
            ReferenceBean<T>().apply {
                setInterface(interfaceClass)
                setVersion(version)
            }.get()
        } catch (e: Throwable) {
            logger.warn("getReferenceBean [$interfaceClass] error: ${e.message}")
            null
        }
    }
}